# This file is for testing the openstack api access
import openstack

from implementation.network.OpenstackNetworkManager import OpenstackNetworkManager
from implementation.network.OpenstackPortManager import OpenstackPortManager
from implementation.network.OpenstackRouterManager import OpenstackRouterManager
from implementation.network.OpenstackSubnetManager import OpenstackSubnetManager

os = openstack.connect(cloud='openstack')

network_manager = OpenstackNetworkManager(os)
subnet_manager = OpenstackSubnetManager(os)
router_manager = OpenstackRouterManager(os)
port_manager = OpenstackPortManager(os)

print('*' * 40)
print('Networks:')

for network in network_manager.list():
    print('\t', network)

print('*' * 40)

print('*' * 40)
print('Subnets:')

for subnet in subnet_manager.list():
    print('\t', subnet)

print('*' * 40)

print('*' * 40)
print('Routers:')

for router in router_manager.list():
    print('\t', router)

print('*' * 40)

print('*' * 40)
print('Ports:')

for port in port_manager.list():
    print('\t', port)

print('*' * 40)

os_network = network_manager.get('86a53890-5821-4718-b1d7-accee304c497') # network_manager.create()

print('Network:')
print(os_network)

os_subnet = subnet_manager.get('4b68dd3f-cbc1-49d7-9b8d-bbb2fae6e687') # subnet_manager.create(os_network.id, 4, '10.10.0.0/16')

print('Subnet:')
print(os_subnet)

os_port = port_manager.get('74bae615-1189-4d9a-ae44-1a2a3f5eb98a') # port_manager.create(os_network.id)

print('Port:')
print(os_port)



#print(subnet_manager.create('10.10.0.0/16'))

#for subnet in subnet_manager.list():
#    print(subnet)